import ajax from "@/utils/request";

export const getAdminUserList = async (params) =>
  ajax(`/adminUser/getAdminUserList`, "POST", params);

export const addAdminUser = async (params) =>
  ajax(`/adminUser/addAdminUser`, "POST", params);

export const deleteAdminUser = async (id) =>
  ajax(`/adminUser/deleteAdminUser`, "GET", { id });

export const getAminUser = async (id) =>
  ajax(`/adminUser/getAdminUser`, "GET", { id });

export const updateAdminUser = async (params) =>
  ajax(`/adminUser/updateAdminUser`, "POST", params);

export const getAdminLog = async (params) =>
  ajax(`/adminUser/getAdminLog`, "POST", params);

export const getCurrentAdminUser = async () =>
  ajax(`/adminUser/getCurrentAdminUser`, "GET");

